[Ovirt-devel] [PATCH] [ovirt-node] autobuild.sh

Mohammed Morsi mmorsi at redhat.com
Wed Sep 10 12:44:02 UTC 2008


---
 autobuild.sh |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100755 autobuild.sh

diff --git a/autobuild.sh b/autobuild.sh
new file mode 100755
index 0000000..835212e
--- /dev/null
+++ b/autobuild.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+#oVirt node autobuild script
+#
+# Copyright (C) 2008 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+# MA  02110-1301, USA.  A copy of the GNU General Public License is
+# also available at http://www.gnu.org/copyleft/gpl.html.
+
+set -e
+set -v
+
+echo "Running oVirt Node Autobuild"
+./autogen.sh --prefix=$AUTOBUILD_INSTALL_ROOT
+./configure
+make publish
+
+ln -f rpm-build/*.rpm $AUTOBUILD_PACKAGE_ROOT/rpm
-- 
1.5.4.1




More information about the ovirt-devel mailing list